Get audits for a specific entity
Get audits for a specific entity
Query Parameters
- entityType int32 required
Type of the entity
- entityId int32 required
ID of the entity
Responses
- 200
- 400
- 500
Success
- application/json
- Schema
- Example (from schema)
Schema
Audits object[]
List of entity audit records
AuditText stringCreatedTimeUtc int64HasCreatedTimeUtc booleanIndicates whether CreatedTimeUtc has a value
User object
UserId int32UserName stringHasUserName booleanIndicates whether UserName has a value
Severity stringPossible values: [
AUDITSEVERITY_NONE,AUDITSEVERITY_CRITICAL,AUDITSEVERITY_HIGH,AUDITSEVERITY_MEDIUM,AUDITSEVERITY_LOW]Audit severity (proto enum name via JsonStringEnumConverter)
Entity object
EntityType int32EntityId int32EntityName stringHasEntityName booleanIndicates whether EntityName has a value
{
"Audits": [
{
"AuditText": "string",
"CreatedTimeUtc": 0,
"HasCreatedTimeUtc": true,
"User": {
"UserId": 0,
"UserName": "string",
"HasUserName": true
},
"Severity": "AUDITSEVERITY_NONE"
}
],
"Entity": {
"EntityType": 0,
"EntityId": 0,
"EntityName": "string",
"HasEntityName": true
}
}
Bad Request - invalid parameters
Internal Server Error
Loading...